CRMchat APIBeta
Telegram APIAccount

account.getSecureValue

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/account.getSecureValue

Get saved Telegram Passport document, for more info see the passport docs »

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.getSecureValue" \  -H "Content-Type: application/json" \  -d '{    "params": {      "types": [        {          "_": "secureValueTypePersonalDetails"        }      ]    }  }'
{  "result": {    "_": "secureValue",    "type": {      "_": "secureValueTypePersonalDetails"    },    "data": {      "_": "secureData",      "data": "string",      "dataHash": "string",      "secret": "string"    },    "frontSide": {      "_": "secureFileEmpty"    },    "reverseSide": {      "_": "secureFileEmpty"    },    "selfie": {      "_": "secureFileEmpty"    },    "translation": [      {        "_": "secureFileEmpty"      }    ],    "files": [      {        "_": "secureFileEmpty"      }    ],    "plainData": {      "_": "securePlainPhone",      "phone": "string"    },    "hash": "string"  }}